Package jam.console

# Class ConsoleApplication

java.lang.Object
jam.framework.Application
jam.console.ConsoleApplication

public class ConsoleApplication extends Application

## Constructor Summary

Constructors
Constructor
Description
`ConsoleApplication(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Color aboutBackground, Color aboutForeground, Icon icon, boolean dontAskSave)`
`ConsoleApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon, boolean dontAskSave)`
`ConsoleApplication(String nameString, String titleString, String aboutString, Color aboutBackground, Color aboutForeground, Icon icon, boolean dontAskSave)`
`ConsoleApplication(String nameString, String titleString, String aboutString, Icon icon, boolean dontAskSave)`
`ConsoleApplication(String nameString, String aboutString, Icon icon, boolean dontAskSave)`

## Method Summary

Modifier and Type
Method
Description
`void`
`doCloseWindow()`
`DocumentFrame`
`doNew()`
`DocumentFrame`
`doOpenFile(File file)`
`void`
`doPreferences()`
`void`
`doQuit()`
`void`
`doStop()`
`void`
`initialize()`

### Methods inherited from class jam.framework.Application

`addMenuFactory, addPreferencesSection, addRecentFile, displayURL, doAbout, doHelp, doOpen, doOpen, doPageSetup, doWebsite, getAboutAction, getAboutBackground, getAboutForeground, getAboutString, getApplication, getExitAction, getHelpAction, getHelpURLString, getIcon, getMenuBarFactory, getNameString, getNewAction, getOpenAction, getPageSetupAction, getPreferencesAction, getRecentFileMenu, getTitleString, getWebsiteAction, getWebsiteURLString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConsoleApplication

public ConsoleApplication(String nameString, String aboutString, Icon icon, boolean dontAskSave) throws IOException

Throws:
  `IOException`

### ConsoleApplication

public ConsoleApplication(String nameString, String titleString, String aboutString, Icon icon, boolean dontAskSave) throws IOException

Throws:
  `IOException`

### ConsoleApplication

public ConsoleApplication(String nameString, String titleString, String aboutString, Color aboutBackground, Color aboutForeground, Icon icon, boolean dontAskSave) throws IOException

Throws:
  `IOException`

### ConsoleApplication

public ConsoleApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon, boolean dontAskSave) throws IOException

Throws:
  `IOException`

### ConsoleApplication

public ConsoleApplication(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Color aboutBackground, Color aboutForeground, Icon icon, boolean dontAskSave) throws IOException

Throws:
  `IOException`

## Method Details

### initialize

public void initialize()

Specified by:
  `initialize` in class `Application`

### doNew

public DocumentFrame doNew()

Specified by:
  `doNew` in class `Application`

### doOpenFile

public DocumentFrame doOpenFile(File file)

Specified by:
  `doOpenFile` in class `Application`

### doCloseWindow

public void doCloseWindow()

### doQuit

public void doQuit()

Specified by:
  `doQuit` in class `Application`

### doPreferences

public void doPreferences()

Overrides:
  `doPreferences` in class `Application`

### doStop

public void doStop()